# Uses of Enum Class
org.eclipse.emf.compare.utils.UseIdentifiers

Packages that use UseIdentifiers
Package
Description
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.impl
org.eclipse.emf.compare.rcp.internal.match
org.eclipse.emf.compare.utils

## Uses of UseIdentifiers in org.eclipse.emf.compare.match

Methods in org.eclipse.emf.compare.match with parameters of type UseIdentifiers
Modifier and Type
Method
Description
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, Collection<IResourceMatchingStrategy> strategies)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry, Collection<IResourceMatchingStrategy> strategies)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IEObjectMatcher`
DefaultMatchEngine.`createDefaultEObjectMatcher(UseIdentifiers useIDs)`
Creates and configures an `IEObjectMatcher` with the strategy given by `useIDs`.
`static IEObjectMatcher`
DefaultMatchEngine.`createDefaultEObjectMatcher(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry)`
Creates and configures an `IEObjectMatcher` with the strategy given by `useIDs`.
`static IEObjectMatcher`
DefaultMatchEngine.`createDefaultEObjectMatcher(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry)`
Creates and configures an `IEObjectMatcher` with the strategy given by `useIDs`.

## Uses of UseIdentifiers in org.eclipse.emf.compare.match.impl

Constructors in org.eclipse.emf.compare.match.impl with parameters of type UseIdentifiers
Modifier
Constructor
Description
``
`MatchEngineFactoryImpl(UseIdentifiers useIDs)`
Constructor that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
``
`MatchEngineFactoryImpl(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry)`
Constructor that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
``
`MatchEngineFactoryImpl(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry)`
Constructor that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.

## Uses of UseIdentifiers in org.eclipse.emf.compare.rcp.internal.match

Fields in org.eclipse.emf.compare.rcp.internal.match declared as UseIdentifiers
Modifier and Type
Field
Description
`static final UseIdentifiers`
DefaultRCPMatchEngineFactory.`DEFAULT_USE_IDENTIFIER_ATRIBUTE`
Default value of USE_IDENTIFIER_ATTR attribute.
Methods in org.eclipse.emf.compare.rcp.internal.match that return UseIdentifiers
Modifier and Type
Method
Description
`static UseIdentifiers`
DefaultRCPMatchEngineFactory.`getUseIdentifierValue()`
Parse the input preference to retrieve the value of `DefaultRCPMatchEngineFactory.USE_IDENTIFIER_ATTR`.

## Uses of UseIdentifiers in org.eclipse.emf.compare.utils

Methods in org.eclipse.emf.compare.utils that return UseIdentifiers
Modifier and Type
Method
Description
`static UseIdentifiers`
UseIdentifiers.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UseIdentifiers[]`
UseIdentifiers.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.